// Original Author:  Mitch Allen
// Program:  uf_glove.cpp

// Extended by Mark Pflaging 5/29/92 thru 9/21/92

#include <dos.h>
#include <bios.h>
#include <stdlib.h>

#include "smooth.hpp"
#include "glgrph.hpp"
#include "ini.hpp"
#include <conio.h>
#include <iostream.h>

int main()
{
	cout << "Edit GLOVE.INI to change startup parameters if "
		"you experience trouble." << endl;
	cout << "HELPME!.DOC contains important troubleshooting "
		"information!" << endl;
	cout << "Reading GLOVE.INI..." << endl;
	InitFile * gloveIni = new InitFile("glove.ini");
	cout << "Determining timing values for this machine..." << endl;
//	cfGlove & GLOVE = *(new smooth(*gloveIni));
	smooth & GLOVE = *(new smooth(*gloveIni));
	cout << endl << "Report of timing values:" << endl;
	GLOVE.test();
	cout << endl << endl
		<< "GLOVE.INI also contains some aesthetic "
		"parameters, so READ IT!." << endl
		<< "            Press any keyboard key to begin." << endl
		<< "Press the '1' key on the Glove during "
		"the demo to display help." << endl;
	getch();
	graphicsActor &gloveGraph = *(new graphicsActor(*gloveIni));
	gloveIni->write();
	delete gloveIni;

	cleardevice();
	GLOVE.run(gloveGraph);

	getch();                       // exit when kbhit()
	delete &GLOVE;
	delete &gloveGraph;
	cout << "Thank You for trying Mark's Power Glove demo V2.0." << endl
		<< "Please read the source and GLOVE.INI "
		"for more information." << endl
		<< "Brought to you by Area 13 (Virtual Reality) of" << endl
		<< "GO COMART on Compuserve.  Copyright 1992, "
		"Mark Thomas Pflaging" << endl;
	return 0;
}
